Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleGameObject Class Reference

参照方法が複数ある柔軟なGameObject型を扱うクラス。 More...

Inheritance diagram for FlexibleGameObject:

## Public Member Functions
| FlexibleGameObject ()
| FlexibleGameObjectデフォルトコンストラクタ More...
| FlexibleGameObject (GameObject gameObject)
| FlexibleGameObjectコンストラクタ。 More...
| FlexibleGameObject (GameObjectParameterReference parameter)
| FlexibleGameObjectコンストラクタ。 More...
| FlexibleGameObject (InputSlotGameObject slot)
| FlexibleGameObjectコンストラクタ。 More...
Public Member Functions inherited from FlexibleField< GameObject >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator GameObject (FlexibleGameObject flexible)
| FlexibleGameObjectをGameObjectにキャスト。 More...
static | operator FlexibleGameObject (GameObject value)
| GameObjectをFlexibleGameObjectにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< GameObject >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< GameObject >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< GameObject >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なGameObject型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleGameObject | ( |  | ) |

FlexibleGameObjectデフォルトコンストラクタ

FlexibleGameObject | ( | GameObject | gameObject | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  gameObject | GameObject

FlexibleGameObject | ( | GameObjectParameterReference | parameter | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  parameter | Parameter

FlexibleGameObject | ( | InputSlotGameObject | slot | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  slot | スロット

## Member Function Documentation

static operator FlexibleGameObject | ( | GameObject | value | ) |
| explicit static

GameObjectをFlexibleGameObjectにキャスト。

Parameters

  value | GameObject

static operator GameObject | ( | FlexibleGameObject | flexible | ) |
| explicit static

FlexibleGameObjectをGameObjectにキャスト。

Parameters

  flexible | FlexibleGameObject